package com.zcloud.domain.domain.enums;

import lombok.Getter;

/**
 * 课题执行状态(0:评分人员待制定,1:课题组人员待制定,2:已完善待执行,3:执行中,4:已结束)
 */
@Getter
public enum ProjectTaskExecuteStatusEnum {
    SCORE_WAIT_SET(0, "评分人员待制定"),
    PROJECT_GROUP_WAIT_SET(1, "课题组人员待制定"),
    WAIT_PERFECT(2, "已完善待执行"),
    EXECUTING(3, "执行中"),
    FINISHED(4, "已结束")

    ;

    private final Integer code;
    private final String name;

    ProjectTaskExecuteStatusEnum(Integer code, String name) {
        this.code = code;
        this.name = name;
    }
}
